View a markdown version of this page

UpdateSecurityRequirementPack - AWS Security Agent

UpdateSecurityRequirementPack

Updates a security requirement pack. For customer managed packs, both metadata and status can be updated. For AWS managed packs, only status can be updated.

Request Syntax

POST /UpdateSecurityRequirementPack HTTP/1.1 Content-type: application/json { "description": "string", "name": "string", "packId": "string", "status": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

description

The updated description of the security requirement pack.

Type: String

Required: No

name

The updated name of the security requirement pack.

Type: String

Required: No

packId

The unique identifier of the security requirement pack to update.

Type: String

Required: Yes

status

The updated status of the security requirement pack.

Type: String

Valid Values: ENABLED | DISABLED

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "description": "string", "name": "string", "packId": "string", "status": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

description

The description of the security requirement pack.

Type: String

name

The name of the security requirement pack.

Type: String

packId

The unique identifier of the security requirement pack.

Type: String

status

The status of the security requirement pack.

Type: String

Valid Values: ENABLED | DISABLED

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You do not have sufficient access to perform this action.

message

Error description.

HTTP Status Code: 403

ConflictException

The request could not be completed due to a conflict with the current state of the resource.

message

Error description.

HTTP Status Code: 409

InternalServerException

An unexpected error occurred during the processing of your request.

message

Error description.

HTTP Status Code: 500

ResourceNotFoundException

The specified resource was not found. Verify that the resource identifier is correct and that the resource exists in the specified agent space or account.

message

Error description.

HTTP Status Code: 404

ThrottlingException

The request was denied due to request throttling.

message

Error description.

quotaCode

Quota code for throttling limit.

serviceCode

Service code for throttling limit.

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service.

fieldList

A list of specific failures encountered during validation.

message

A summary of the validation failure.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: